Skip to content
Guides
CatalogCollections
catalog:read

Get collection

Returns collection metadata, rules, overrides and counts. Product rows are available separately through the paginated collection products endpoint.

GET/v1/catalog/collections/{collectionId}

Returns collection metadata, rules, overrides and counts. Product rows are available separately through the paginated collection products endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

collectionId*string

Identifier of the collection.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/collections/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "slug": "example-resource",  "description": "Example description.",  "status": "draft",  "image": {    "id": "7204558912004325301",    "url": "https://example.com/resource"  },  "type": "static",  "dynamicOperator": "and",  "validFrom": "2026-08-01T15:30:00Z",  "validTo": "2026-08-01T15:30:00Z",  "rules": [    {      "field": "price",      "operator": "eq",      "path": "example",      "value": "example"    }  ],  "includeCollectionIds": [    "example"  ],  "excludeCollectionIds": [    "example"  ],  "includeProductIds": [    "example"  ],  "excludeProductIds": [    "example"  ],  "pins": [    {      "productId": "7204558912004325301",      "position": 1    }  ],  "productCount": 1,  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}